When using ‘create video from link’ or ‘preview video from link’ API, if the ‘webhook_url’ is passed in the parameters, we will initiate a POST request to the webhook_url when the task succeeds or fails, with the following content:
Deprecated, use offset in caption_setting instead. Caption offset x is horizontally relative to the center of the canvas in percentage, range from -0.5 to 0.5. Default is null, video with default caption position of visual_style.
Deprecated, use offset in caption_setting instead. Caption offset y is vertically relative to the center of the canvas in percentage, range from -0.5 to 0.5. Default is null, video with default caption position of visual_style.
Model version for the avatar, 'standard', 'aurora_v1', 'aurora_v1_fast', 'aurora_v2' or 'boreal'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second. Aurora_v2 costs 0.7 credits per second. Boreal model costs 10 credits per 30 seconds video.
standard - Standard
aurora_v1 - Aurora v1
aurora_v1_fast - Aurora v1 Fast
boreal - Boreal
aurora_v2 - Aurora v2
Available options:
standard,
aurora_v1,
aurora_v1_fast,
boreal,
aurora_v2
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Creatify.ai","colors":{"primary":"#857ff9","light":"#5bf5ff","dark":"#857ff9"},"logo":{"light":"https://mintcdn.com/creatify/fobKWPKCdJDOWjln/logo/light.png?fit=max\u0026auto=format\u0026n=fobKWPKCdJDOWjln\u0026q=85\u0026s=08eb59759b83d7aaceab6786ac5f8267","dark":"https://mintcdn.com/creatify/fobKWPKCdJDOWjln/logo/dark.png?fit=max\u0026auto=format\u0026n=fobKWPKCdJDOWjln\u0026q=85\u0026s=af184d7bc4f2931e5bcbe803d047fc29"},"favicon":"https://mintcdn.com/creatify/fobKWPKCdJDOWjln/favicon.png?fit=max\u0026auto=format\u0026n=fobKWPKCdJDOWjln\u0026q=85\u0026s=acd9d459587b0efc1033d0786c6f66ff","api":{"openapi":"https://staging-api.creatify.ai/api/schema.json","mdx":{"auth":{"method":"key"},"server":"https://api.creatify.ai"}},"appearance":{"default":"dark"},"navbar":{"links":[{"href":"https://app.creatify.ai/ai-models/status","label":"Model Status"},{"href":"https://status.creatify.ai","label":"Status Page"},{"href":"mailto:api@creatify.ai","label":"Support"}],"primary":{"type":"button","label":"Sign up","href":"https://video.creatify.ai/signup"}},"footer":{"socials":{"twitter":"https://x.com/Creatify_AI","linkedin":"https://www.linkedin.com/company/97191687"}},"integrations":{"gtm":{"tagId":"GTM-W4ZPRQ67"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"creatify","hasAudioNarration":false,"actualSubdomain":"creatify","customDomains":["docs.creatify.ai"],"gitSource":{"type":"github","owner":"creatify-ai","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae0d453bd7692f0e3bf5d0d","collectionId":"12bdc6e2-b797-454b-a084-eaae3f4e12ac","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae0d453bd7692f0e3bf5d0d"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aed41563b61ad7e688a4290","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Documentation","count":498},{"language":"default","tag":"Asset Generator","count":141},{"language":"default","tag":"Models","count":136},{"language":"default","tag":"API Reference","count":71},{"language":"default","tag":"Kling","count":26},{"language":"default","tag":"Seedance","count":15},{"language":"default","tag":"Veo","count":13},{"language":"default","tag":"Stock AI Avatar","count":12},{"language":"default","tag":"Nano Banana","count":11},{"language":"default","tag":"Gemini Omni Flash","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/link_to_videos/post-apilink_to_videos_render","slug":"/api-reference/link_to_videos/post-apilink_to_videos_render","pageMetadata":{"title":"Render video","openapi":"post /api/link_to_videos/{id}/render/","description":"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.","href":"/api-reference/link_to_videos/post-apilink_to_videos_render"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,em:`em`,li:`li`,p:`p`,pre:`pre`,span:`span`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`about-request-data-structure-of-webhook`,children:`About Request Data Structure of Webhook`}),`\n`,_jsxs(_components.p,{children:[`When using ‘create video from link’ or ‘preview video from link’ API, if the ‘webhook_url’ is passed in the parameters, we will initiate a POST request to the `,_jsx(_components.code,{children:`webhook_url`}),` when the task succeeds or fails, with the following content:`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'id'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'string'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'status'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'string'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'failed_reason'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'string'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'video_output'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'string'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'video_thumbnail'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'string'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`Arguments:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`id`}),` (string): The unique identifier of the job`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`status`}),` (string): The status of the job. Possible values are `,_jsx(_components.code,{children:`pending`}),`, `,_jsx(_components.code,{children:`in_queue`}),`, `,_jsx(_components.code,{children:`running`}),`, `,_jsx(_components.code,{children:`failed`}),`, `,_jsx(_components.code,{children:`done`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`failed_reason`}),` (string): The reason of the failure if the job failed`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`video_output`}),` (string): The URL of the video if the job is done`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`video_thumbnail`}),` (string): The Thumbnail URL of the video if the job is done`]}),`\n`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.em,{children:`Note: We might send multiple requests for status changes.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Render video","openapi":"post /api/link_to_videos/{id}/render/","description":"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.","href":"/api-reference/link_to_videos/post-apilink_to_videos_render"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"About Request Data Structure of Webhook","slug":"about-request-data-structure-of-webhook","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"link_to_videos_render_create","description":"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.","parameters":["88917eea-413a-426d-9af2-ce18e75c09b4"],"tags":["link_to_videos"],"security":["9ca42419-417f-4b1a-9185-b0a9c78c1c35"],"responses":{"200":"6d5f342e-2ea2-4f64-bfad-1efe8475003b"},"method":"post","type":"path","servers":[],"path":"/api/link_to_videos/{id}/render/","baseUrlOptions":["https://api.creatify.ai"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"88917eea-413a-426d-9af2-ce18e75c09b4":{"in":"path","name":"id","schema":{"type":"string","format":"uuid","isRequired":true,"description":"A UUID string identifying this Link to Video.","uniqueKey":"","typeLabel":"string\u003cuuid>"},"description":"A UUID string identifying this Link to Video.","required":true}},"responses":{"6d5f342e-2ea2-4f64-bfad-1efe8475003b":{"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true,"isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"link":{"type":"string","format":"uuid","description":"Link associated with the video.","isRequired":true,"uniqueKey":"link","typeLabel":"string\u003cuuid>"},"media_job":{"oneOf":[{"type":"string","format":"uuid","readOnly":true,"description":"Media job associated with the video. Default is null.","isRequired":true,"uniqueKey":"media_job.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","readOnly":true,"description":"Media job associated with the video. Default is null.","isRequired":true,"uniqueKey":"media_job.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"media_job","typeLabel":"string\u003cuuid> | null"},"status":{"type":"string","readOnly":true,"isRequired":true,"uniqueKey":"status","typeLabel":"string"},"failed_reason":{"oneOf":[{"type":"string","readOnly":true,"description":"Reason for failure. Default is null.","isRequired":true,"uniqueKey":"failed_reason.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"description":"Reason for failure. Default is null.","isRequired":true,"uniqueKey":"failed_reason.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"failed_reason","typeLabel":"string | null"},"is_hidden":{"type":"boolean","readOnly":true,"isRequired":true,"uniqueKey":"is_hidden","typeLabel":"boolean"},"video_output":{"type":"string","format":"uri","readOnly":true,"description":"Generated Video URL","isRequired":true,"uniqueKey":"video_output","typeLabel":"string\u003curi>"},"video_thumbnail":{"type":"string","format":"uri","readOnly":true,"description":"Generated Video Thumbnail URL","isRequired":true,"uniqueKey":"video_thumbnail","typeLabel":"string\u003curi>"},"outputs":{"type":"array","items":{"type":"object","properties":{"media_job":{"type":"string","format":"uuid","description":"UUID of the media job","isRequired":true,"uniqueKey":"outputs.items.[INDEX].media_job","typeLabel":"string\u003cuuid>"},"visual_style":{"type":"string","description":"Visual style of the video","enum":["AvatarBubbleTemplate","DramaticTemplate","DynamicGreenScreenEffect","DynamicProductTemplate","DynamicResponseBubbleTemplate","EnhancedVanillaTemplate","FeatureHighlightTemplate","FullScreenTemplate","FullScreenV2Template","GreenScreenEffectTemplate","MotionCardsTemplate","OverCardsTemplate","QuickFrameTemplate","QuickTransitionTemplate","ScribbleTemplate","SideBySideTemplate","SimpleAvatarOverlayTemplate","TopBottomTemplate","TwitterFrameTemplate","VanillaTemplate","VlogTemplate","LegoVisualEmotional","LegoVisualCutePets","LegoVisualAvatarFocusIntro","LegoScriptNegativeHook","LegoScriptNumberOneHook","LegoScriptEverWonderHook","LegoScriptSecretHook","LegoScriptWhatHappensHook","LegoScriptAnyoneElseHook","LegoScriptAmazedHook","LegoScript2025Hook","LegoScriptHateMeHook","LegoScriptResponseBubbleTextOverlay","LegoScriptHeyAlgorithmHook","LegoScriptCannotBelieveHook","LegoScriptFinallyConfidentHook","LegoScriptPremiumFeelingHook","LegoScriptFirstTimeFullHook","LegoScriptLongLineReasonHook","LegoScriptMissingOutAlertHook","LegoScriptBetterTodayVersionHook","LegoScriptBigHappeningHook","LegoScriptPriceDropRegretHook","LegoScriptGroupBuyFrustrationHook","LegoScriptStopAffordExcuseHook","LegoScriptLifeTooShortDiscountHook","LegoScriptHugePriceDropRushHook","LegoScriptPriceCouldGoLowerHook","LegoScriptStillFullPriceHook","LegoScriptSecretDiscountShareHook","LegoScriptVoucherSavingsAlertHook","LegoScriptCouponDiscoveryRegretHook","LegoScriptBestDealEverHook"],"isRequired":true,"uniqueKey":"outputs.items.[INDEX].visual_style","typeLabel":"enum\u003cstring>"},"video_output":{"type":"string","format":"uri","readOnly":true,"description":"Generated Video URL","isRequired":true,"uniqueKey":"outputs.items.[INDEX].video_output","typeLabel":"string\u003curi>"},"video_thumbnail":{"type":"string","format":"uri","readOnly":true,"description":"Generated Video Thumbnail URL","isRequired":true,"uniqueKey":"outputs.items.[INDEX].video_thumbnail","typeLabel":"string\u003curi>"},"status":{"type":"string","description":"* `pending` - Pending\n* `in_queue` - In Queue\n* `running` - Running\n* `failed` - Failed\n* `done` - Done\n* `rejected` - Rejected","enum":["pending","in_queue","running","failed","done","rejected"],"isRequired":true,"uniqueKey":"outputs.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"progress":{"type":"number","format":"double","readOnly":true,"description":"Progress of the job, from 0 to 1","isRequired":true,"uniqueKey":"outputs.items.[INDEX].progress","typeLabel":"number\u003cdouble>"},"failed_reason":{"type":"string","readOnly":true,"description":"Failed reason if the job failed","isRequired":true,"uniqueKey":"outputs.items.[INDEX].failed_reason","typeLabel":"string"},"aspect_ratio":{"enum":["9x16","16x9","1x1"],"type":"string","description":"* `9x16` - 9X16\n* `16x9` - 16X9\n* `1x1` - 1X1","uniqueKey":"outputs.items.[INDEX].aspect_ratio","typeLabel":"enum\u003cstring>"},"duration":{"type":"integer","description":"Duration of the rendered video in seconds","uniqueKey":"outputs.items.[INDEX].duration","typeLabel":"integer"}},"required":["failed_reason","media_job","progress","status","video_output","video_thumbnail","visual_style"],"uniqueKey":"outputs.items.[INDEX]","typeLabel":"object"},"readOnly":true,"description":"List of outputs","isRequired":true,"uniqueKey":"outputs","typeLabel":"object[]"},"credits_used":{"type":"number","readOnly":true,"description":"Credits used in this API call","isRequired":true,"uniqueKey":"credits_used","typeLabel":"number"},"duration":{"type":"integer","readOnly":true,"description":"Duration of the video in seconds","isRequired":true,"uniqueKey":"duration","typeLabel":"integer"},"progress":{"type":"string","readOnly":true,"isRequired":true,"uniqueKey":"progress","typeLabel":"string"},"preview":{"type":"string","format":"uri","readOnly":true,"description":"Preview URL","isRequired":true,"uniqueKey":"preview","typeLabel":"string\u003curi>"},"previews":{"type":"array","items":{"type":"object","properties":{"media_job":{"type":"string","format":"uuid","description":"UUID of the media job","isRequired":true,"uniqueKey":"previews.items.[INDEX].media_job","typeLabel":"string\u003cuuid>"},"visual_style":{"type":"string","description":"Visual style of the video","enum":["AvatarBubbleTemplate","DramaticTemplate","DynamicGreenScreenEffect","DynamicProductTemplate","DynamicResponseBubbleTemplate","EnhancedVanillaTemplate","FeatureHighlightTemplate","FullScreenTemplate","FullScreenV2Template","GreenScreenEffectTemplate","MotionCardsTemplate","OverCardsTemplate","QuickFrameTemplate","QuickTransitionTemplate","ScribbleTemplate","SideBySideTemplate","SimpleAvatarOverlayTemplate","TopBottomTemplate","TwitterFrameTemplate","VanillaTemplate","VlogTemplate","LegoVisualEmotional","LegoVisualCutePets","LegoVisualAvatarFocusIntro","LegoScriptNegativeHook","LegoScriptNumberOneHook","LegoScriptEverWonderHook","LegoScriptSecretHook","LegoScriptWhatHappensHook","LegoScriptAnyoneElseHook","LegoScriptAmazedHook","LegoScript2025Hook","LegoScriptHateMeHook","LegoScriptResponseBubbleTextOverlay","LegoScriptHeyAlgorithmHook","LegoScriptCannotBelieveHook","LegoScriptFinallyConfidentHook","LegoScriptPremiumFeelingHook","LegoScriptFirstTimeFullHook","LegoScriptLongLineReasonHook","LegoScriptMissingOutAlertHook","LegoScriptBetterTodayVersionHook","LegoScriptBigHappeningHook","LegoScriptPriceDropRegretHook","LegoScriptGroupBuyFrustrationHook","LegoScriptStopAffordExcuseHook","LegoScriptLifeTooShortDiscountHook","LegoScriptHugePriceDropRushHook","LegoScriptPriceCouldGoLowerHook","LegoScriptStillFullPriceHook","LegoScriptSecretDiscountShareHook","LegoScriptVoucherSavingsAlertHook","LegoScriptCouponDiscoveryRegretHook","LegoScriptBestDealEverHook"],"isRequired":true,"uniqueKey":"previews.items.[INDEX].visual_style","typeLabel":"enum\u003cstring>"},"url":{"type":"string","format":"uri","description":"Preview URL","isRequired":true,"uniqueKey":"previews.items.[INDEX].url","typeLabel":"string\u003curi>"},"editor_url":{"type":"string","format":"uri","readOnly":true,"description":"Editor URL for the video. Expires in 24 hours. Available only if your API account has API editor access enabled. ","isRequired":true,"uniqueKey":"previews.items.[INDEX].editor_url","typeLabel":"string\u003curi>"},"aspect_ratio":{"enum":["9x16","16x9","1x1"],"type":"string","description":"* `9x16` - 9X16\n* `16x9` - 16X9\n* `1x1` - 1X1","uniqueKey":"previews.items.[INDEX].aspect_ratio","typeLabel":"enum\u003cstring>"},"duration":{"type":"integer","description":"Duration of the preview video in seconds","uniqueKey":"previews.items.[INDEX].duration","typeLabel":"integer"}},"required":["editor_url","media_job","url","visual_style"],"uniqueKey":"previews.items.[INDEX]","typeLabel":"object"},"readOnly":true,"description":"List of previews","isRequired":true,"uniqueKey":"previews","typeLabel":"object[]"},"editor_url":{"type":"string","format":"uri","readOnly":true,"description":"Editor URL for the video. Expires in 24 hours. Available only if your API account has API editor access enabled. ","isRequired":true,"uniqueKey":"editor_url","typeLabel":"string\u003curi>"},"name":{"oneOf":[{"type":"string","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"target_platform":{"type":"string","description":"Target platform for the video. Default is 'tiktok'.","maxLength":255,"uniqueKey":"target_platform","typeLabel":"string"},"target_audience":{"oneOf":[{"type":"string","description":"Target audience for the video. Default is 'young adults'.","uniqueKey":"target_audience.oneOf.0","typeLabel":"string"},{"type":"null","description":"Target audience for the video. Default is 'young adults'.","uniqueKey":"target_audience.oneOf.1","typeLabel":"null"}],"uniqueKey":"target_audience","typeLabel":"string | null"},"language":{"type":"string","description":"Language of the video. Default is 'en'.\n\n* `af` - Afrikaans\n* `ar` - Arabic\n* `as` - Assamese\n* `az` - Azerbaijani\n* `be` - Belarusian\n* `bg` - Bulgarian\n* `bn` - Bengali\n* `bs` - Bosnian\n* `ca` - Catalan; Valencian\n* `cb` - Cebuano\n* `cs` - Czech\n* `cy` - Welsh\n* `da` - Danish\n* `de` - German\n* `el` - Greek, Modern\n* `en` - English\n* `es` - Spanish; Castilian\n* `et` - Estonian\n* `fa` - Persian\n* `fi` - Finnish\n* `fl` - Filipino\n* `fr` - French\n* `ga` - Irish\n* `gl` - Galician\n* `gu` - Gujarati\n* `ha` - Hausa\n* `he` - Hebrew (modern)\n* `hi` - Hindi\n* `hr` - Croatian\n* `hu` - Hungarian\n* `hy` - Armenian\n* `id` - Indonesian\n* `is` - Icelandic\n* `it` - Italian\n* `ja` - Japanese\n* `jv` - Javanese\n* `ka` - Georgian\n* `kk` - Kazakh\n* `kn` - Kannada\n* `ko` - Korean\n* `ky` - Kirghiz, Kyrgyz\n* `lb` - Luxembourgish, Letzeburgesch\n* `ln` - Lingala\n* `lt` - Lithuanian\n* `lv` - Latvian\n* `mk` - Macedonian\n* `ml` - Malayalam\n* `mr` - Marathi (Marāṭhī)\n* `ms` - Malay\n* `ne` - Nepali\n* `nl` - Dutch\n* `no` - Norwegian\n* `ny` - Chichewa; Chewa; Nyanja\n* `pa` - Panjabi, Punjabi\n* `pl` - Polish\n* `ps` - Pashto, Pushto\n* `pt` - Portuguese\n* `ro` - Romanian, Moldavian, Moldovan\n* `ru` - Russian\n* `sd` - Sindhi\n* `sk` - Slovak\n* `sl` - Slovene\n* `so` - Somali\n* `sr` - Serbian\n* `sv` - Swedish\n* `sw` - Swahili\n* `ta` - Tamil\n* `te` - Telugu\n* `th` - Thai\n* `tl` - Tagalog\n* `tr` - Turkish\n* `uk` - Ukrainian\n* `ur` - Urdu\n* `vi` - Vietnamese\n* `zh` - Chinese","enum":["af","ar","as","az","be","bg","bn","bs","ca","cb","cs","cy","da","de","el","en","es","et","fa","fi","fl","fr","ga","gl","gu","ha","he","hi","hr","hu","hy","id","is","it","ja","jv","ka","kk","kn","ko","ky","lb","ln","lt","lv","mk","ml","mr","ms","ne","nl","no","ny","pa","pl","ps","pt","ro","ru","sd","sk","sl","so","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh"],"uniqueKey":"language","typeLabel":"enum\u003cstring>"},"video_length":{"type":"integer","description":"Length of the video in seconds. Default is 15.\n\n* `15` - 15\n* `30` - 30\n* `45` - 45\n* `60` - 60","enum":[15,30,45,60],"uniqueKey":"video_length","typeLabel":"enum\u003cinteger>"},"aspect_ratio":{"type":"string","description":"Aspect ratio of the video. Default is '16x9'.\n\n* `16x9` - 16x9\n* `1x1` - 1x1\n* `9x16` - 9x16","enum":["16x9","1x1","9x16"],"uniqueKey":"aspect_ratio","typeLabel":"enum\u003cstring>"},"script_style":{"type":"string","description":"Script style of the video. Default is DiscoveryWriter.\n\n* `BenefitsV2` - Benefits\n* `BrandStoryV2` - Brand Story\n* `CallToActionV2` - Call To Action\n* `DiscoveryWriter` - Discovery\n* `DontWorryWriter` - Don't Worry\n* `EmotionalWriter` - Emotional\n* `GenzWriter` - Gen Z\n* `HowToV2` - How To\n* `LetMeShowYouWriter` - Let Me Show You\n* `MotivationalWriter` - Motivational\n* `ProblemSolutionV2` - Problem Solution\n* `ProblemSolutionWriter` - Problem-Solution\n* `ProductHighlightsV2` - Product Highlights\n* `ProductLifestyleV2` - Product Lifestyle\n* `ResponseBubbleWriter` - Response Bubble\n* `SpecialOffersV2` - Special Offers\n* `StoryTimeWriter` - Storytime\n* `ThreeReasonsWriter` - 3 Reasons Why\n* `TrendingTopicsV2` - Trending Topics\n* `NegativeHook` - Don’t Use This If You Want...\n* `NumberOneHook` - The #1 Hack You Need\n* `EverWonderHook` - Ever Wonder Why?\n* `SecretHook` - Wish I Could Keep This Secret\n* `WhatHappensHook` - What Happens If You Try This?\n* `AnyoneElseHook` - That One Thing We All Have\n* `AmazedHook` - Still Amazed by This\n* `2025Hook` - Hack 2025 Like This\n* `HateMeHook` - They’ll Hate Me for This\n* `ResponseBubbleTextOverlay` - Response bubble\n* `HeyAlgorithmHook` - Hey Algorithm\n* `CannotBelieveHook` - Cannot Believe This\n* `FinallyConfidentHook` - Finally Confident\n* `PremiumFeelingHook` - Premium Feeling\n* `FirstTimeFullHook` - First Time Full\n* `LongLineReasonHook` - Long Line Reason\n* `MissingOutAlertHook` - Missing Out Alert\n* `BetterTodayVersionHook` - Better Today Version\n* `BigHappeningHook` - Big Happening\n* `PriceDropRegretHook` - Price Drop Regret\n* `GroupBuyFrustrationHook` - Group Buy Frustration\n* `StopAffordExcuseHook` - Stop Afford Excuse\n* `LifeTooShortDiscountHook` - Life Too Short Discount\n* `HugePriceDropRushHook` - Huge Price Drop Rush\n* `PriceCouldGoLowerHook` - Price Could Go Lower\n* `StillFullPriceHook` - Still Full Price\n* `SecretDiscountShareHook` - Secret Discount Share\n* `VoucherSavingsAlertHook` - Voucher Savings Alert\n* `CouponDiscoveryRegretHook` - Coupon Discovery Regret\n* `BestDealEverHook` - Best Deal Ever\n* `DIY` - DIY","enum":["BenefitsV2","BrandStoryV2","CallToActionV2","DiscoveryWriter","DontWorryWriter","EmotionalWriter","GenzWriter","HowToV2","LetMeShowYouWriter","MotivationalWriter","ProblemSolutionV2","ProblemSolutionWriter","ProductHighlightsV2","ProductLifestyleV2","ResponseBubbleWriter","SpecialOffersV2","StoryTimeWriter","ThreeReasonsWriter","TrendingTopicsV2","NegativeHook","NumberOneHook","EverWonderHook","SecretHook","WhatHappensHook","AnyoneElseHook","AmazedHook","2025Hook","HateMeHook","ResponseBubbleTextOverlay","HeyAlgorithmHook","CannotBelieveHook","FinallyConfidentHook","PremiumFeelingHook","FirstTimeFullHook","LongLineReasonHook","MissingOutAlertHook","BetterTodayVersionHook","BigHappeningHook","PriceDropRegretHook","GroupBuyFrustrationHook","StopAffordExcuseHook","LifeTooShortDiscountHook","HugePriceDropRushHook","PriceCouldGoLowerHook","StillFullPriceHook","SecretDiscountShareHook","VoucherSavingsAlertHook","CouponDiscoveryRegretHook","BestDealEverHook","DIY"],"uniqueKey":"script_style","typeLabel":"enum\u003cstring>"},"visual_style":{"type":"string","description":"Visual style of the video. Default is AvatarBubbleTemplate.\n- `AvatarBubbleTemplate`: Avatar Bubble (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `DramaticTemplate`: Dramatic (Applicable to aspect_ratio 9x16)\n- `DynamicGreenScreenEffect`: Dynamic Green Screen Effect (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `DynamicProductTemplate`: Product (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `DynamicResponseBubbleTemplate`: Response Bubble (Applicable to aspect_ratio 9x16)\n- `EnhancedVanillaTemplate`: Dynamic Vanilla (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `FeatureHighlightTemplate`: Feature Highlight (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `FullScreenTemplate`: Full Screen (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `FullScreenV2Template`: Full Screen V2 (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `GreenScreenEffectTemplate`: Green Screen Effect (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `MotionCardsTemplate`: Motion Cards (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `OverCardsTemplate`: Over Cards (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `QuickFrameTemplate`: Quick Frame (Applicable to aspect_ratio 16x9)\n- `QuickTransitionTemplate`: Quick Transition (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `ScribbleTemplate`: Scribble (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `SideBySideTemplate`: Side by Side (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `SimpleAvatarOverlayTemplate`: Product Presenter (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `TopBottomTemplate`: Top \u0026 Bottom (Applicable to aspect_ratio 9x16, 1x1)\n- `TwitterFrameTemplate`: Twitter Frame (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `VanillaTemplate`: Vanilla (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `VlogTemplate`: Vlog (Applicable to aspect_ratio 9x16)\n- `LegoVisualEmotional`: Emotional (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `LegoVisualCutePets`: Cute Pets (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `LegoVisualAvatarFocusIntro`: Avatar Focus Intro (Applicable to aspect_ratio 9x16, 16x9, 1x1)\n- `LegoScriptNegativeHook`: Don’t Use This If You Want... (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptNumberOneHook`: The #1 Hack You Need (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptEverWonderHook`: Ever Wonder Why? (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptSecretHook`: Wish I Could Keep This Secret (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptWhatHappensHook`: What Happens If You Try This? (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptAnyoneElseHook`: That One Thing We All Have (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptAmazedHook`: Still Amazed by This (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScript2025Hook`: Hack 2025 Like This (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptHateMeHook`: They’ll Hate Me for This (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptResponseBubbleTextOverlay`: Response bubble (Applicable to aspect_ratio 9x16, 1x1)\n- `LegoScriptHeyAlgorithmHook`: Hey Algorithm (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptCannotBelieveHook`: Cannot Believe This (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptFinallyConfidentHook`: Finally Confident (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptPremiumFeelingHook`: Premium Feeling (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptFirstTimeFullHook`: First Time Full (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptLongLineReasonHook`: Long Line Reason (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptMissingOutAlertHook`: Missing Out Alert (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptBetterTodayVersionHook`: Better Today Version (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptBigHappeningHook`: Big Happening (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptPriceDropRegretHook`: Price Drop Regret (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptGroupBuyFrustrationHook`: Group Buy Frustration (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptStopAffordExcuseHook`: Stop Afford Excuse (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptLifeTooShortDiscountHook`: Life Too Short Discount (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptHugePriceDropRushHook`: Huge Price Drop Rush (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptPriceCouldGoLowerHook`: Price Could Go Lower (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptStillFullPriceHook`: Still Full Price (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptSecretDiscountShareHook`: Secret Discount Share (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptVoucherSavingsAlertHook`: Voucher Savings Alert (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptCouponDiscoveryRegretHook`: Coupon Discovery Regret (Applicable to aspect_ratio 9x16, 1x1, 16x9)\n- `LegoScriptBestDealEverHook`: Best Deal Ever (Applicable to aspect_ratio 9x16, 1x1, 16x9)","default":"AvatarBubbleTemplate","enum":["AvatarBubbleTemplate","DramaticTemplate","DynamicGreenScreenEffect","DynamicProductTemplate","DynamicResponseBubbleTemplate","EnhancedVanillaTemplate","FeatureHighlightTemplate","FullScreenTemplate","FullScreenV2Template","GreenScreenEffectTemplate","MotionCardsTemplate","OverCardsTemplate","QuickFrameTemplate","QuickTransitionTemplate","ScribbleTemplate","SideBySideTemplate","SimpleAvatarOverlayTemplate","TopBottomTemplate","TwitterFrameTemplate","VanillaTemplate","VlogTemplate","LegoVisualEmotional","LegoVisualCutePets","LegoVisualAvatarFocusIntro","LegoScriptNegativeHook","LegoScriptNumberOneHook","LegoScriptEverWonderHook","LegoScriptSecretHook","LegoScriptWhatHappensHook","LegoScriptAnyoneElseHook","LegoScriptAmazedHook","LegoScript2025Hook","LegoScriptHateMeHook","LegoScriptResponseBubbleTextOverlay","LegoScriptHeyAlgorithmHook","LegoScriptCannotBelieveHook","LegoScriptFinallyConfidentHook","LegoScriptPremiumFeelingHook","LegoScriptFirstTimeFullHook","LegoScriptLongLineReasonHook","LegoScriptMissingOutAlertHook","LegoScriptBetterTodayVersionHook","LegoScriptBigHappeningHook","LegoScriptPriceDropRegretHook","LegoScriptGroupBuyFrustrationHook","LegoScriptStopAffordExcuseHook","LegoScriptLifeTooShortDiscountHook","LegoScriptHugePriceDropRushHook","LegoScriptPriceCouldGoLowerHook","LegoScriptStillFullPriceHook","LegoScriptSecretDiscountShareHook","LegoScriptVoucherSavingsAlertHook","LegoScriptCouponDiscoveryRegretHook","LegoScriptBestDealEverHook"],"uniqueKey":"visual_style","typeLabel":"enum\u003cstring>"},"override_avatar":{"oneOf":[{"type":"string","description":"Override avatar for the video. Default is null.","maxLength":255,"uniqueKey":"override_avatar.oneOf.0","typeLabel":"string"},{"type":"null","description":"Override avatar for the video. Default is null.","maxLength":255,"uniqueKey":"override_avatar.oneOf.1","typeLabel":"null"}],"uniqueKey":"override_avatar","typeLabel":"string | null"},"override_avatar_by_image":{"oneOf":[{"type":"string","format":"uri","description":"Override avatar by providing an avatar image URL. Default is null.","maxLength":1000,"uniqueKey":"override_avatar_by_image.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"Override avatar by providing an avatar image URL. Default is null.","maxLength":1000,"uniqueKey":"override_avatar_by_image.oneOf.1","typeLabel":"null"}],"uniqueKey":"override_avatar_by_image","typeLabel":"string\u003curi> | null"},"override_voice":{"oneOf":[{"type":"string","description":"Override voice for the video. Default is null.","maxLength":255,"uniqueKey":"override_voice.oneOf.0","typeLabel":"string"},{"type":"null","description":"Override voice for the video. Default is null.","maxLength":255,"uniqueKey":"override_voice.oneOf.1","typeLabel":"null"}],"uniqueKey":"override_voice","typeLabel":"string | null"},"override_script":{"oneOf":[{"type":"string","description":"Override script for the video. Default is null.","uniqueKey":"override_script.oneOf.0","typeLabel":"string"},{"type":"null","description":"Override script for the video. Default is null.","uniqueKey":"override_script.oneOf.1","typeLabel":"null"}],"uniqueKey":"override_script","typeLabel":"string | null"},"background_music_url":{"oneOf":[{"type":"string","format":"uri","description":"Background music URL for the video. Default is null, video will use random music.","maxLength":255,"uniqueKey":"background_music_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"Background music URL for the video. Default is null, video will use random music.","maxLength":255,"uniqueKey":"background_music_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"background_music_url","typeLabel":"string\u003curi> | null"},"background_music_volume":{"oneOf":[{"type":"number","format":"double","maximum":1,"minimum":0,"description":"Volume of the background music, ranging from 0.0 to 1.0. Default is null, video will use default music volume of visual_style.","uniqueKey":"background_music_volume.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","maximum":1,"minimum":0,"description":"Volume of the background music, ranging from 0.0 to 1.0. Default is null, video will use default music volume of visual_style.","uniqueKey":"background_music_volume.oneOf.1","typeLabel":"null"}],"uniqueKey":"background_music_volume","typeLabel":"number\u003cdouble> | null"},"voiceover_volume":{"oneOf":[{"type":"number","format":"double","maximum":1,"minimum":0,"description":"Volume of the voiceover, ranging from 0.0 to 1.0. Default is null, video will use default voiceover volume of visual_style.","uniqueKey":"voiceover_volume.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","maximum":1,"minimum":0,"description":"Volume of the voiceover, ranging from 0.0 to 1.0. Default is null, video will use default voiceover volume of visual_style.","uniqueKey":"voiceover_volume.oneOf.1","typeLabel":"null"}],"uniqueKey":"voiceover_volume","typeLabel":"number\u003cdouble> | null"},"webhook_url":{"oneOf":[{"type":"string","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook_url","typeLabel":"string\u003curi> | null"},"no_background_music":{"type":"boolean","description":"No background music for the video. Default is false, video with background music.","uniqueKey":"no_background_music","typeLabel":"boolean"},"no_caption":{"type":"boolean","description":"No caption for the video. Default is false, video with caption.","uniqueKey":"no_caption","typeLabel":"boolean"},"no_emotion":{"type":"boolean","description":"No emotion for the video. Default is false, video with emotion.","uniqueKey":"no_emotion","typeLabel":"boolean"},"no_cta":{"type":"boolean","description":"No call to action for the video. Default is false, video with call to action.","uniqueKey":"no_cta","typeLabel":"boolean"},"no_stock_broll":{"type":"boolean","description":"No stock broll for the video. Default is false, video with stock broll.","uniqueKey":"no_stock_broll","typeLabel":"boolean"},"caption_style":{"oneOf":[{"type":"string","description":"Deprecated, use style in caption_setting instead. Caption style for the video. Default is 'normal-black'.\n\n* `normal-black` - NORMAL_BLACK\n* `normal-white` - NORMAL_WHITE\n* `normal-red` - NORMAL_RED\n* `normal-blue` - NORMAL_BLUE\n* `neo` - NEO\n* `brick` - BRICK\n* `frenzy` - FRENZY\n* `verana` - VERANA\n* `mustard` - MUSTARD\n* `glow` - GLOW\n* `mint` - MINT\n* `coolers` - COOLERS\n* `bilo` - BILO\n* `toons` - TOONS\n* `deep-blue` - DEEP_BLUE\n* `mystique` - MYSTIQUE\n* `caution` - CAUTION\n* `duality` - DUALITY\n* `comic-shadow` - COMIC_SHADOW\n* `clean-bold` - CLEAN_BOLD\n* `soft-pill` - SOFT_PILL\n* `underline-bold` - UNDERLINE_BOLD\n* `classic-duo` - CLASSIC_DUO\n* `hand-script` - HAND_SCRIPT\n* `button-glow` - BUTTON_GLOW\n* `emboss-outline` - EMBOSS_OUTLINE\n* `standard-bold` - STANDARD_BOLD\n* `outlined-text` - OUTLINED_TEXT\n* `quiet-serif` - QUIET_SERIF\n* `editorial-clean` - EDITORIAL_CLEAN\n* `shout-block` - SHOUT_BLOCK\n* `word-flash` - WORD_FLASH\n* `promo-punch` - PROMO_PUNCH\n* `light-word` - LIGHT_WORD\n* `tagline-bold` - TAGLINE_BOLD\n* `glow-speak` - GLOW_SPEAK\n* `black-block` - BLACK_BLOCK\n* `zoom-punch` - ZOOM_PUNCH","enum":["normal-black","normal-white","normal-red","normal-blue","neo","brick","frenzy","verana","mustard","glow","mint","coolers","bilo","toons","deep-blue","mystique","caution","duality","comic-shadow","clean-bold","soft-pill","underline-bold","classic-duo","hand-script","button-glow","emboss-outline","standard-bold","outlined-text","quiet-serif","editorial-clean","shout-block","word-flash","promo-punch","light-word","tagline-bold","glow-speak","black-block","zoom-punch"],"uniqueKey":"caption_style.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","description":"Deprecated, use style in caption_setting instead. Caption style for the video. Default is 'normal-black'.\n\n* `normal-black` - NORMAL_BLACK\n* `normal-white` - NORMAL_WHITE\n* `normal-red` - NORMAL_RED\n* `normal-blue` - NORMAL_BLUE\n* `neo` - NEO\n* `brick` - BRICK\n* `frenzy` - FRENZY\n* `verana` - VERANA\n* `mustard` - MUSTARD\n* `glow` - GLOW\n* `mint` - MINT\n* `coolers` - COOLERS\n* `bilo` - BILO\n* `toons` - TOONS\n* `deep-blue` - DEEP_BLUE\n* `mystique` - MYSTIQUE\n* `caution` - CAUTION\n* `duality` - DUALITY\n* `comic-shadow` - COMIC_SHADOW\n* `clean-bold` - CLEAN_BOLD\n* `soft-pill` - SOFT_PILL\n* `underline-bold` - UNDERLINE_BOLD\n* `classic-duo` - CLASSIC_DUO\n* `hand-script` - HAND_SCRIPT\n* `button-glow` - BUTTON_GLOW\n* `emboss-outline` - EMBOSS_OUTLINE\n* `standard-bold` - STANDARD_BOLD\n* `outlined-text` - OUTLINED_TEXT\n* `quiet-serif` - QUIET_SERIF\n* `editorial-clean` - EDITORIAL_CLEAN\n* `shout-block` - SHOUT_BLOCK\n* `word-flash` - WORD_FLASH\n* `promo-punch` - PROMO_PUNCH\n* `light-word` - LIGHT_WORD\n* `tagline-bold` - TAGLINE_BOLD\n* `glow-speak` - GLOW_SPEAK\n* `black-block` - BLACK_BLOCK\n* `zoom-punch` - ZOOM_PUNCH","enum":[""],"uniqueKey":"caption_style.oneOf.1","typeLabel":"enum\u003cstring>"},{"description":"Deprecated, use style in caption_setting instead. Caption style for the video. Default is 'normal-black'.\n\n* `normal-black` - NORMAL_BLACK\n* `normal-white` - NORMAL_WHITE\n* `normal-red` - NORMAL_RED\n* `normal-blue` - NORMAL_BLUE\n* `neo` - NEO\n* `brick` - BRICK\n* `frenzy` - FRENZY\n* `verana` - VERANA\n* `mustard` - MUSTARD\n* `glow` - GLOW\n* `mint` - MINT\n* `coolers` - COOLERS\n* `bilo` - BILO\n* `toons` - TOONS\n* `deep-blue` - DEEP_BLUE\n* `mystique` - MYSTIQUE\n* `caution` - CAUTION\n* `duality` - DUALITY\n* `comic-shadow` - COMIC_SHADOW\n* `clean-bold` - CLEAN_BOLD\n* `soft-pill` - SOFT_PILL\n* `underline-bold` - UNDERLINE_BOLD\n* `classic-duo` - CLASSIC_DUO\n* `hand-script` - HAND_SCRIPT\n* `button-glow` - BUTTON_GLOW\n* `emboss-outline` - EMBOSS_OUTLINE\n* `standard-bold` - STANDARD_BOLD\n* `outlined-text` - OUTLINED_TEXT\n* `quiet-serif` - QUIET_SERIF\n* `editorial-clean` - EDITORIAL_CLEAN\n* `shout-block` - SHOUT_BLOCK\n* `word-flash` - WORD_FLASH\n* `promo-punch` - PROMO_PUNCH\n* `light-word` - LIGHT_WORD\n* `tagline-bold` - TAGLINE_BOLD\n* `glow-speak` - GLOW_SPEAK\n* `black-block` - BLACK_BLOCK\n* `zoom-punch` - ZOOM_PUNCH","enum":[null],"uniqueKey":"caption_style.oneOf.2","typeLabel":"any"},{"type":"null","uniqueKey":"caption_style.oneOf.3","typeLabel":"null"}],"uniqueKey":"caption_style","typeLabel":"enum\u003cstring> · enum\u003cstring> · any · null"},"caption_offset_x":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,1}(?:\\.\\d{0,2})?$","description":"Deprecated, use offset in caption_setting instead. Caption offset x is horizontally relative to the center of the canvas in percentage, range from -0.5 to 0.5. Default is null, video with default caption position of visual_style.","uniqueKey":"caption_offset_x.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,1}(?:\\.\\d{0,2})?$","description":"Deprecated, use offset in caption_setting instead. Caption offset x is horizontally relative to the center of the canvas in percentage, range from -0.5 to 0.5. Default is null, video with default caption position of visual_style.","uniqueKey":"caption_offset_x.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_offset_x","typeLabel":"string\u003cdecimal> | null"},"caption_offset_y":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,1}(?:\\.\\d{0,2})?$","description":"Deprecated, use offset in caption_setting instead. Caption offset y is vertically relative to the center of the canvas in percentage, range from -0.5 to 0.5. Default is null, video with default caption position of visual_style.","uniqueKey":"caption_offset_y.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,1}(?:\\.\\d{0,2})?$","description":"Deprecated, use offset in caption_setting instead. Caption offset y is vertically relative to the center of the canvas in percentage, range from -0.5 to 0.5. Default is null, video with default caption position of visual_style.","uniqueKey":"caption_offset_y.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_offset_y","typeLabel":"string\u003cdecimal> | null"},"caption_setting":{"oneOf":[{"type":"object","description":"Caption setting, default null and default caption setting will be used","properties":{"style":{"oneOf":[{"type":"string","description":"Caption style\n\n* `normal-black` - NORMAL_BLACK\n* `normal-white` - NORMAL_WHITE\n* `normal-red` - NORMAL_RED\n* `normal-blue` - NORMAL_BLUE\n* `neo` - NEO\n* `brick` - BRICK\n* `frenzy` - FRENZY\n* `verana` - VERANA\n* `mustard` - MUSTARD\n* `glow` - GLOW\n* `mint` - MINT\n* `coolers` - COOLERS\n* `bilo` - BILO\n* `toons` - TOONS\n* `deep-blue` - DEEP_BLUE\n* `mystique` - MYSTIQUE\n* `caution` - CAUTION\n* `duality` - DUALITY\n* `comic-shadow` - COMIC_SHADOW\n* `clean-bold` - CLEAN_BOLD\n* `soft-pill` - SOFT_PILL\n* `underline-bold` - UNDERLINE_BOLD\n* `classic-duo` - CLASSIC_DUO\n* `hand-script` - HAND_SCRIPT\n* `button-glow` - BUTTON_GLOW\n* `emboss-outline` - EMBOSS_OUTLINE\n* `standard-bold` - STANDARD_BOLD\n* `outlined-text` - OUTLINED_TEXT\n* `quiet-serif` - QUIET_SERIF\n* `editorial-clean` - EDITORIAL_CLEAN\n* `shout-block` - SHOUT_BLOCK\n* `word-flash` - WORD_FLASH\n* `promo-punch` - PROMO_PUNCH\n* `light-word` - LIGHT_WORD\n* `tagline-bold` - TAGLINE_BOLD\n* `glow-speak` - GLOW_SPEAK\n* `black-block` - BLACK_BLOCK\n* `zoom-punch` - ZOOM_PUNCH","enum":["normal-black","normal-white","normal-red","normal-blue","neo","brick","frenzy","verana","mustard","glow","mint","coolers","bilo","toons","deep-blue","mystique","caution","duality","comic-shadow","clean-bold","soft-pill","underline-bold","classic-duo","hand-script","button-glow","emboss-outline","standard-bold","outlined-text","quiet-serif","editorial-clean","shout-block","word-flash","promo-punch","light-word","tagline-bold","glow-speak","black-block","zoom-punch"],"uniqueKey":"caption_setting.oneOf.0.style.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"Caption style\n\n* `normal-black` - NORMAL_BLACK\n* `normal-white` - NORMAL_WHITE\n* `normal-red` - NORMAL_RED\n* `normal-blue` - NORMAL_BLUE\n* `neo` - NEO\n* `brick` - BRICK\n* `frenzy` - FRENZY\n* `verana` - VERANA\n* `mustard` - MUSTARD\n* `glow` - GLOW\n* `mint` - MINT\n* `coolers` - COOLERS\n* `bilo` - BILO\n* `toons` - TOONS\n* `deep-blue` - DEEP_BLUE\n* `mystique` - MYSTIQUE\n* `caution` - CAUTION\n* `duality` - DUALITY\n* `comic-shadow` - COMIC_SHADOW\n* `clean-bold` - CLEAN_BOLD\n* `soft-pill` - SOFT_PILL\n* `underline-bold` - UNDERLINE_BOLD\n* `classic-duo` - CLASSIC_DUO\n* `hand-script` - HAND_SCRIPT\n* `button-glow` - BUTTON_GLOW\n* `emboss-outline` - EMBOSS_OUTLINE\n* `standard-bold` - STANDARD_BOLD\n* `outlined-text` - OUTLINED_TEXT\n* `quiet-serif` - QUIET_SERIF\n* `editorial-clean` - EDITORIAL_CLEAN\n* `shout-block` - SHOUT_BLOCK\n* `word-flash` - WORD_FLASH\n* `promo-punch` - PROMO_PUNCH\n* `light-word` - LIGHT_WORD\n* `tagline-bold` - TAGLINE_BOLD\n* `glow-speak` - GLOW_SPEAK\n* `black-block` - BLACK_BLOCK\n* `zoom-punch` - ZOOM_PUNCH","enum":[null],"uniqueKey":"caption_setting.oneOf.0.style.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"caption_setting.oneOf.0.style.oneOf.2","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.style","typeLabel":"enum\u003cstring> | any | null"},"offset":{"oneOf":[{"type":"object","description":"Caption offset","properties":{"x":{"type":"number","format":"double","default":0,"description":"X offset for the caption.","uniqueKey":"caption_setting.oneOf.0.offset.oneOf.0.x","typeLabel":"number\u003cdouble>"},"y":{"type":"number","format":"double","default":0.4,"description":"Y offset for the caption.","uniqueKey":"caption_setting.oneOf.0.offset.oneOf.0.y","typeLabel":"number\u003cdouble>"}},"uniqueKey":"caption_setting.oneOf.0.offset.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"caption_setting.oneOf.0.offset.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.offset","typeLabel":"object | null"},"font_family":{"oneOf":[{"type":"string","description":"Font family\n\n* `Montserrat` - Montserrat\n* `Jockey One` - JockeyOne\n* `Lilita One` - LilitaOne\n* `Mclaren` - Mclaren\n* `Corben` - Corben\n* `Dela Gothic One` - DelaGothicOne\n* `Comfortaa` - Comfortaa\n* `Luckiest Guy` - LuckiestGuy\n* `Quantico` - Quantico\n* `Poppins` - Poppins\n* `Arimo` - Arimo\n* `Open Sans` - OpenSans\n* `League Spartan` - LeagueSpartan\n* `Anton` - Anton\n* `DM Sans` - DMSans\n* `Archivo Black` - ArchivoBlack\n* `Space Grotesk` - SpaceGrotesk\n* `Alice` - Alice\n* `Pacifico` - Pacifico\n* `Lora` - Lora\n* `Comic Neue` - ComicNeue\n* `Cinzel` - Cinzel\n* `Playfair Display` - PlayfairDisplay\n* `Bodoni Moda` - BodoniModa\n* `Alata` - Alata\n* `Orbitron` - Orbitron\n* `IBM Plex Mono` - IBMPlexMono\n* `Stalemate` - Stalemate\n* `Tektur` - Tektur\n* `Fredoka` - Fredoka\n* `Radio Canada` - RadioCanada\n* `Abril Fatface` - AbrilFatface\n* `Allura` - Allura\n* `Ballet` - Ballet\n* `Noto Serif` - NotoSerif\n* `Joti One` - JotiOne\n* `Berkshire Swash` - BerkshireSwash\n* `Rubik Dirt` - RubikDirt\n* `Figtree` - Figtree\n* `Roboto` - Roboto\n* `Oswald` - Oswald","enum":["Montserrat","Jockey One","Lilita One","Mclaren","Corben","Dela Gothic One","Comfortaa","Luckiest Guy","Quantico","Poppins","Arimo","Open Sans","League Spartan","Anton","DM Sans","Archivo Black","Space Grotesk","Alice","Pacifico","Lora","Comic Neue","Cinzel","Playfair Display","Bodoni Moda","Alata","Orbitron","IBM Plex Mono","Stalemate","Tektur","Fredoka","Radio Canada","Abril Fatface","Allura","Ballet","Noto Serif","Joti One","Berkshire Swash","Rubik Dirt","Figtree","Roboto","Oswald"],"uniqueKey":"caption_setting.oneOf.0.font_family.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"Font family\n\n* `Montserrat` - Montserrat\n* `Jockey One` - JockeyOne\n* `Lilita One` - LilitaOne\n* `Mclaren` - Mclaren\n* `Corben` - Corben\n* `Dela Gothic One` - DelaGothicOne\n* `Comfortaa` - Comfortaa\n* `Luckiest Guy` - LuckiestGuy\n* `Quantico` - Quantico\n* `Poppins` - Poppins\n* `Arimo` - Arimo\n* `Open Sans` - OpenSans\n* `League Spartan` - LeagueSpartan\n* `Anton` - Anton\n* `DM Sans` - DMSans\n* `Archivo Black` - ArchivoBlack\n* `Space Grotesk` - SpaceGrotesk\n* `Alice` - Alice\n* `Pacifico` - Pacifico\n* `Lora` - Lora\n* `Comic Neue` - ComicNeue\n* `Cinzel` - Cinzel\n* `Playfair Display` - PlayfairDisplay\n* `Bodoni Moda` - BodoniModa\n* `Alata` - Alata\n* `Orbitron` - Orbitron\n* `IBM Plex Mono` - IBMPlexMono\n* `Stalemate` - Stalemate\n* `Tektur` - Tektur\n* `Fredoka` - Fredoka\n* `Radio Canada` - RadioCanada\n* `Abril Fatface` - AbrilFatface\n* `Allura` - Allura\n* `Ballet` - Ballet\n* `Noto Serif` - NotoSerif\n* `Joti One` - JotiOne\n* `Berkshire Swash` - BerkshireSwash\n* `Rubik Dirt` - RubikDirt\n* `Figtree` - Figtree\n* `Roboto` - Roboto\n* `Oswald` - Oswald","enum":[null],"uniqueKey":"caption_setting.oneOf.0.font_family.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"caption_setting.oneOf.0.font_family.oneOf.2","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.font_family","typeLabel":"enum\u003cstring> | any | null"},"font_size":{"oneOf":[{"type":"integer","description":"Font size","uniqueKey":"caption_setting.oneOf.0.font_size.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Font size","uniqueKey":"caption_setting.oneOf.0.font_size.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.font_size","typeLabel":"integer | null"},"font_style":{"oneOf":[{"type":"string","description":"Font style\n\n* `font-bold` - BOLD\n* `italic` - ITALIC\n* `underline` - UNDERLINE","enum":["font-bold","italic","underline"],"uniqueKey":"caption_setting.oneOf.0.font_style.oneOf.0","typeLabel":"enum\u003cstring>"},{"description":"Font style\n\n* `font-bold` - BOLD\n* `italic` - ITALIC\n* `underline` - UNDERLINE","enum":[null],"uniqueKey":"caption_setting.oneOf.0.font_style.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"caption_setting.oneOf.0.font_style.oneOf.2","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.font_style","typeLabel":"enum\u003cstring> | any | null"},"background_color":{"oneOf":[{"type":"string","description":"Caption background color, hex color with an alpha channel: #RRGGBBAA.","uniqueKey":"caption_setting.oneOf.0.background_color.oneOf.0","typeLabel":"string"},{"type":"null","description":"Caption background color, hex color with an alpha channel: #RRGGBBAA.","uniqueKey":"caption_setting.oneOf.0.background_color.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.background_color","typeLabel":"string | null"},"text_color":{"oneOf":[{"type":"string","description":"Caption text color, hex color with an alpha channel: #RRGGBBAA.","uniqueKey":"caption_setting.oneOf.0.text_color.oneOf.0","typeLabel":"string"},{"type":"null","description":"Caption text color, hex color with an alpha channel: #RRGGBBAA.","uniqueKey":"caption_setting.oneOf.0.text_color.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.text_color","typeLabel":"string | null"},"highlight_text_color":{"oneOf":[{"type":"string","description":"Caption highlight color for the word currently being spoken, hex color with an alpha channel: #RRGGBBAA.","uniqueKey":"caption_setting.oneOf.0.highlight_text_color.oneOf.0","typeLabel":"string"},{"type":"null","description":"Caption highlight color for the word currently being spoken, hex color with an alpha channel: #RRGGBBAA.","uniqueKey":"caption_setting.oneOf.0.highlight_text_color.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.highlight_text_color","typeLabel":"string | null"},"max_width":{"oneOf":[{"type":"integer","description":"Caption max width in px","uniqueKey":"caption_setting.oneOf.0.max_width.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Caption max width in px","uniqueKey":"caption_setting.oneOf.0.max_width.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.max_width","typeLabel":"integer | null"},"line_height":{"oneOf":[{"type":"number","format":"double","description":"Caption line height","uniqueKey":"caption_setting.oneOf.0.line_height.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Caption line height","uniqueKey":"caption_setting.oneOf.0.line_height.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.line_height","typeLabel":"number\u003cdouble> | null"},"text_shadow":{"oneOf":[{"type":"string","description":"Caption text shadow","uniqueKey":"caption_setting.oneOf.0.text_shadow.oneOf.0","typeLabel":"string"},{"type":"null","description":"Caption text shadow","uniqueKey":"caption_setting.oneOf.0.text_shadow.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting.oneOf.0.text_shadow","typeLabel":"string | null"},"hidden":{"type":"boolean","default":false,"description":"Hide caption","uniqueKey":"caption_setting.oneOf.0.hidden","typeLabel":"boolean"},"override_visual_style":{"type":"boolean","default":false,"description":"If true, these caption settings will override the visual style's default caption settings. Only effective when visual_style is set.","uniqueKey":"caption_setting.oneOf.0.override_visual_style","typeLabel":"boolean"}},"uniqueKey":"caption_setting.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"caption_setting.oneOf.1","typeLabel":"null"}],"uniqueKey":"caption_setting","typeLabel":"object | null"},"model_version":{"type":"string","description":"Model version for the avatar, 'standard', 'aurora_v1', 'aurora_v1_fast', 'aurora_v2' or 'boreal'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second. Aurora_v2 costs 0.7 credits per second. Boreal model costs 10 credits per 30 seconds video.\n\n* `standard` - Standard\n* `aurora_v1` - Aurora v1\n* `aurora_v1_fast` - Aurora v1 Fast\n* `boreal` - Boreal\n* `aurora_v2` - Aurora v2","enum":["standard","aurora_v1","aurora_v1_fast","boreal","aurora_v2"],"uniqueKey":"model_version","typeLabel":"enum\u003cstring>"}},"required":["credits_used","duration","editor_url","failed_reason","id","is_hidden","link","media_job","outputs","preview","previews","progress","status","video_output","video_thumbnail"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","link":"3c90c3cc-0d44-4b50-8888-8dd25736052a","media_job":"3c90c3cc-0d44-4b50-8888-8dd25736052a","status":"\u003cstring>","failed_reason":"\u003cstring>","is_hidden":true,"video_output":"\u003cstring>","video_thumbnail":"\u003cstring>","outputs":[{"media_job":"3c90c3cc-0d44-4b50-8888-8dd25736052a","visual_style":"AvatarBubbleTemplate","video_output":"\u003cstring>","video_thumbnail":"\u003cstring>","status":"pending","progress":123,"failed_reason":"\u003cstring>","aspect_ratio":"9x16","duration":123}],"credits_used":123,"duration":123,"progress":"\u003cstring>","preview":"\u003cstring>","previews":[{"media_job":"3c90c3cc-0d44-4b50-8888-8dd25736052a","visual_style":"AvatarBubbleTemplate","url":"\u003cstring>","editor_url":"\u003cstring>","aspect_ratio":"9x16","duration":123}],"editor_url":"\u003cstring>","name":"\u003cstring>","target_platform":"\u003cstring>","target_audience":"\u003cstring>","language":"af","video_length":15,"aspect_ratio":"16x9","script_style":"BenefitsV2","visual_style":"AvatarBubbleTemplate","override_avatar":"\u003cstring>","override_avatar_by_image":"\u003cstring>","override_voice":"\u003cstring>","override_script":"\u003cstring>","background_music_url":"\u003cstring>","background_music_volume":0.5,"voiceover_volume":0.5,"webhook_url":"\u003cstring>","no_background_music":true,"no_caption":true,"no_emotion":true,"no_cta":true,"no_stock_broll":true,"caption_style":"normal-black","caption_offset_x":"\u003cstring>","caption_offset_y":"\u003cstring>","caption_setting":{"style":"normal-black","offset":{"x":0,"y":0.4},"font_family":"Montserrat","font_size":123,"font_style":"font-bold","background_color":"\u003cstring>","text_color":"\u003cstring>","highlight_text_color":"\u003cstring>","max_width":123,"line_height":123,"text_shadow":"\u003cstring>","hidden":false,"override_visual_style":false},"model_version":"standard"}}},"exampleType":"generated"}},"description":"","exampleType":"generated"}},"security":{"9ca42419-417f-4b1a-9185-b0a9c78c1c35":{"X-API-ID":{"type":"apiKey","in":"header","name":"X-API-ID","description":"API ID, from your settings page.","scopes":[],"schemeName":"X-API-ID"},"X-API-KEY":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API Key, from your settings page.","scopes":[],"schemeName":"X-API-KEY"}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-ID","description":"API ID, from your settings page.","scopes":[],"schemeName":"X-API-ID"},"schema":{"title":"X-API-ID","type":"string","description":"API ID, from your settings page.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"X-API-ID","name":"X-API-ID"},{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API Key, from your settings page.","scopes":[],"schemeName":"X-API-KEY"},"schema":{"title":"X-API-KEY","type":"string","description":"API Key, from your settings page.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"X-API-KEY","name":"X-API-KEY"}],"title":"X-API-ID \u0026 X-API-KEY"}]},"originalFileLocation":"https://staging-api.creatify.ai/api/schema.json"},"subdomain":"creatify","siteName":"Creatify.ai","title":"Render video - Creatify.ai","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-09T16:57:55.097Z","originalFileLocation":"api-reference/link_to_videos/post-apilink_to_videos_render.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Creatify.ai\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Render video - Creatify.ai\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Creatify.ai\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://creatify.mintlify.site/_mintlify/api/og/v2?division=API+Reference\u0026amp;title=Render+video\u0026amp;description=This+endpoint+renders+a+video+with+preview+genereated.+Rendering+a+video+through+this+endpoint+costs+4+credits+for+every+30+seconds.\u0026amp;theme=2619f61fe4856c4d839690d7\u0026amp;signature=ed59848b41f5debd27e768151c0f9e9e781e63452f2d4acdfe5ebe5338ad5ca1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Render video - Creatify.ai\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://creatify.mintlify.site/_mintlify/api/og/v2?division=API+Reference\u0026amp;title=Render+video\u0026amp;description=This+endpoint+renders+a+video+with+preview+genereated.+Rendering+a+video+through+this+endpoint+costs+4+credits+for+every+30+seconds.\u0026amp;theme=2619f61fe4856c4d839690d7\u0026amp;signature=ed59848b41f5debd27e768151c0f9e9e781e63452f2d4acdfe5ebe5338ad5ca1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Creatify.ai\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#857ff9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/link_to_videos/post-apilink_to_videos_render.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.creatify.ai/#organization\",\"name\":\"Creatify.ai\",\"url\":\"https://docs.creatify.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/creatify/fobKWPKCdJDOWjln/logo/light.png?fit=max\u0026auto=format\u0026n=fobKWPKCdJDOWjln\u0026q=85\u0026s=08eb59759b83d7aaceab6786ac5f8267\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.creatify.ai#website\",\"name\":\"Creatify.ai\",\"url\":\"https://docs.creatify.ai\",\"publisher\":{\"@id\":\"https://docs.creatify.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render#webpage\",\"url\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render\",\"name\":\"Render video\",\"description\":\"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.\",\"dateModified\":\"2025-10-09T16:57:55.097Z\",\"isPartOf\":{\"@id\":\"https://docs.creatify.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"URL to Video\",\"item\":\"https://docs.creatify.ai/api-documentation/url-to-video/link-to-video\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"API Reference\",\"item\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Render video\",\"item\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render#apireference\",\"headline\":\"Render video\",\"name\":\"Render video\",\"description\":\"This endpoint renders a video with preview genereated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.\",\"url\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render\",\"mainEntityOfPage\":{\"@id\":\"https://docs.creatify.ai/api-reference/link_to_videos/post-apilink_to_videos_render#webpage\"},\"dateModified\":\"2025-10-09T16:57:55.097Z\",\"publisher\":{\"@id\":\"https://docs.creatify.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.creatify.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Creatify.ai\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Creatify.ai","nav":{"global":null,"tabs":[{"tab":"Documentation","anchors":[{"anchor":"Documentation","icon":"book-open","groups":[{"group":"Get Started","pages":[{"title":"Creatify API: AI Video Ad Generation","sidebarTitle":"Introduction","icon":"book-open","href":"/introduction"},{"title":"Creatify API Quickstart","sidebarTitle":"Quickstart","icon":"rocket","href":"/quickstart"},{"title":"Creatify API Billing and Credits","sidebarTitle":"Billing","icon":"credit-card","href":"/billing"},{"title":"Creatify API FAQ","sidebarTitle":"FAQ","icon":"circle-question","href":"/faq"}]},{"group":"URL to Video","pages":[{"group":"Overview","pages":[{"title":"Create Video from URL","href":"/api-documentation/url-to-video/link-to-video"},{"title":"Generate Previews and Render Video ","href":"/api-documentation/url-to-video/preview-list"}]},{"group":"API Reference","icon":"code","pages":[{"title":"Create video from link","openapi":"post /api/link_to_videos/","href":"/api-reference/link_to_videos/post-apilink_to_videos"},{"title":"Get video result","openapi":"get /api/link_to_videos/{id}/","href":"/api-reference/link_to_videos/get-apilink_to_videos-"},{"title":"Get video history","openapi":"get /api/link_to_videos/","href":"/api-reference/link_to_videos/get-apilink_to_videos"},{"title":"Generate Preview video from link","openapi":"post /api/link_to_videos/preview/","description":"This endpoint generates a preview of video before rendering the final video. Generating a video preview through this endpoint costs 1 credit for every 30 seconds.","href":"/api-reference/link_to_videos/post-apilink_to_videos_preview"},{"title":"Render video","openapi":"post /api/link_to_videos/{id}/render/","href":"/api-reference/link_to_videos/post-apilink_to_videos_render"},{"title":"Generate a list of Previews Async","openapi":"post /api/link_to_videos/preview_list_async/","description":"This endpoint generates a list of preview videos asynchronously before rendering the final video. This endpoint costs 1 credit for every 30 seconds.","href":"/api-reference/link_to_videos/post-apilink_to_videos_preview_list_aysnc"},{"title":"Render a video from the list of Previews","openapi":"post /api/link_to_videos/{id}/render_single_preview/","href":"/api-reference/link_to_videos/post-apilink_to_videos_render_single_preview"}]}]},{"group":"Aurora","pages":[{"title":"Aurora API: Photo to Avatar Video","sidebarTitle":"Overview","href":"/api-documentation/aurora/aurora"},{"title":"Aurora 2.0 API: Avatar Video up to 2k","sidebarTitle":"Aurora 2.0","href":"/api-documentation/aurora/model-aurora-2"},{"title":"Aurora 1.0 and 1.0 Fast API: Long Avatar Videos","sidebarTitle":"Aurora 1.0 / 1.0 Fast","href":"/api-documentation/aurora/model-aurora-1"},{"group":"API Reference","icon":"code","pages":[{"title":"Create an Aurora task","openapi":"post /api/aurora/","href":"/api-reference/aurora/post-aurora"},{"title":"Get Aurora items","openapi":"get /api/aurora/","href":"/api-reference/aurora/get-aurora"},{"title":"Get Aurora item by id","openapi":"get /api/aurora/{id}/","href":"/api-reference/aurora/get-aurora-"}]}]},{"group":"Boreal","pages":[{"title":"Boreal Video Generation API","sidebarTitle":"Overview","href":"/api-documentation/boreal/boreal"},{"title":"Boreal-H3 API: Video Generation up to 2k","sidebarTitle":"Boreal-H3","href":"/api-documentation/boreal/model-boreal-h3"},{"title":"Boreal API: Videos up to 60 Seconds","sidebarTitle":"Boreal","href":"/api-documentation/boreal/model-boreal"},{"group":"API Reference","icon":"code","pages":[{"title":"Create a Boreal task","openapi":"post /api/boreal/","href":"/api-reference/boreal/post-boreal"},{"title":"Get Boreal items","openapi":"get /api/boreal/","href":"/api-reference/boreal/get-boreal"},{"title":"Get Boreal item by id","openapi":"get /api/boreal/{id}/","href":"/api-reference/boreal/get-boreal-"}]}]},{"group":"Stock AI Avatar","pages":[{"title":"Overview (v1)","href":"/api-documentation/ai-avatar/lipsync"},{"title":"Overview (v2)","href":"/api-documentation/ai-avatar/lipsync-v2"},{"group":"API Reference (v1)","icon":"code","pages":[{"title":"Create an AI Avatar task","openapi":"post /api/lipsyncs/","href":"/api-reference/lipsyncs/post-apilipsyncs"},{"title":"Get AI Avatar items","openapi":"get /api/lipsyncs/","href":"/api-reference/lipsyncs/get-apilipsyncs"},{"title":"Get AI Avatar item by id","openapi":"get /api/lipsyncs/{id}/","href":"/api-reference/lipsyncs/get-apilipsyncs-"},{"title":"Generate Preview of AI Avatar","openapi":"post /api/lipsyncs/preview/","href":"/api-reference/lipsyncs/post-apilipsyncs-preview"},{"title":"Render an AI Avatar task","openapi":"post /api/lipsyncs/{id}/render/","href":"/api-reference/lipsyncs/post-apilipsyncs-render"}]},{"group":"API Reference (v2)","icon":"code","pages":[{"title":"Create an AI Avatar v2 task","openapi":"post /api/lipsyncs_v2/","href":"/api-reference/lipsyncs_v2/post-apilipsyncs"},{"title":"Get AI Avatar v2 items","openapi":"get /api/lipsyncs_v2/","href":"/api-reference/lipsyncs_v2/get-apilipsyncs"},{"title":"Get AI Avatar v2 item by id","openapi":"get /api/lipsyncs_v2/{id}/","href":"/api-reference/lipsyncs_v2/get-apilipsyncs-"},{"title":"Generate Preview of AI Avatar v2","openapi":"post /api/lipsyncs_v2/preview/","href":"/api-reference/lipsyncs_v2/post-apilipsyncs-preview"},{"title":"Render an AI Avatar v2 task","openapi":"post /api/lipsyncs_v2/{id}/render/","href":"/api-reference/lipsyncs_v2/post-apilipsyncs-render"}]}]},{"group":"Custom Avatar","pages":[{"title":"Custom Avatar API","sidebarTitle":"Overview","href":"/api-documentation/custom-avatar/byoa"},{"group":"API Reference","icon":"code","pages":[{"title":"Get all available Avatars","openapi":"get /api/personas/","href":"/api-reference/personas/get-apipersonas"},{"title":"Get all available Avatars with pagination","openapi":"get /api/personas/paginated/","href":"/api-reference/personas/get-apipersonas-paginated"},{"title":"Get Avatar by ID","openapi":"get /api/personas/{id}/","href":"/api-reference/personas/get-apipersonas-"},{"title":"Create a Custom Avatar Using File URLs","openapi":"post /api/personas/","href":"/api-reference/personas/post-apipersonas"},{"title":"Create a Custom Avatar by Uploading Files","openapi":"post /api/personas_v2/","href":"/api-reference/personas/post-apipersonas-v2"},{"title":"Get all Custom Avatars","openapi":"get /api/personas_v2/","href":"/api-reference/personas/get-apipersonas-v2"},{"title":"Get the number of Custom Avatars you can create","openapi":"get /api/personas_v2/count/","href":"/api-reference/personas/get-apipersonas-count"},{"title":"Delete Custom Avatar","openapi":"delete /api/personas/{id}/","href":"/api-reference/personas/delete-apipersonas-"}]}]},{"group":"Custom Template","pages":[{"title":"Custom Templates API","sidebarTitle":"Overview","href":"/api-reference/custom-templates"},{"group":"Template API Reference","icon":"code","pages":[{"title":"Get Custom Templates items","openapi":"get /api/custom_templates/","href":"/api-reference/custom-templates/get-custom-template"},{"title":"Get Custom Templates item by id","openapi":"get /api/custom_templates/{template_id}/","href":"/api-reference/custom-templates/get-custom-template-"}]},{"group":"Video API Reference","icon":"code","pages":[{"title":"Create Custom Template Video","openapi":"post /api/custom_template_jobs/","href":"/api-reference/custom-template-jobs/post-custom-template-job"},{"title":"Generate Preview of Custom Template Video","openapi":"post /api/custom_template_jobs/preview/","href":"/api-reference/custom-template-jobs/post-custom-template-job-preview"},{"title":"Generate Preview of Custom Template Video (Async)","openapi":"post /api/custom_template_jobs/preview_async/","href":"/api-reference/custom-template-jobs/post-custom-template-job-preview-async"},{"title":"Render Custom Template Video","openapi":"post /api/custom_template_jobs/{id}/render/","href":"/api-reference/custom-template-jobs/post-custom-template-job-render"},{"title":"Get Custom Template Videos","openapi":"get /api/custom_template_jobs/","href":"/api-reference/custom-template-jobs/get-custom-template-job"},{"title":"Get Custom Template Video by id","openapi":"get /api/custom_template_jobs/{id}/","href":"/api-reference/custom-template-jobs/get-custom-template-job-"}]}]},{"group":"Asset Generator","pages":[{"title":"Asset Generator API: AI Image and Video Models","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/ai-generation"},{"group":"Models","icon":"cubes","pages":[{"title":"AI Image, Video and Audio Model API Pricing","sidebarTitle":"Models and pricing","href":"/api-documentation/ai-generation/models"},{"group":"Creatify","pages":[{"title":"Creatify API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/creatify"},{"title":"Boreal-H3 Text to Video API","sidebarTitle":"Boreal-H3 · Text to video","href":"/api-documentation/ai-generation/models/creatify/boreal-h3-text-to-video"},{"title":"Boreal-H3 Image to Video API","sidebarTitle":"Boreal-H3 · Image to video","href":"/api-documentation/ai-generation/models/creatify/boreal-h3-image-to-video"},{"title":"Boreal-H3 Reference Video to Video API","sidebarTitle":"Boreal-H3 Reference · Video to video","href":"/api-documentation/ai-generation/models/creatify/boreal-h3-reference-to-video"}]},{"group":"Gemini Omni Flash","pages":[{"title":"Gemini Omni Flash API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/gemini-omni-flash"},{"title":"Gemini Omni Flash 1.1 Text to Video API","sidebarTitle":"Gemini Omni Flash 1.1 · Text to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-1-1"},{"title":"Gemini Omni Flash Text to Video API","sidebarTitle":"Gemini Omni Flash · Text to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash"},{"title":"Gemini Omni Flash 1.1 Image to Video API","sidebarTitle":"Gemini Omni Flash 1.1 · Image to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-1-1-image-to-video"},{"title":"Gemini Omni Flash Image to Video API","sidebarTitle":"Gemini Omni Flash · Image to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-image-to-video"},{"title":"Gemini Omni Flash (Reference to Video) Image to Video API","sidebarTitle":"Gemini Omni Flash (Reference to Video) · Image to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-reference-to-video"},{"title":"Gemini Omni Flash 1.1 (Edit) Video to Video API","sidebarTitle":"Gemini Omni Flash 1.1 (Edit) · Video to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-1-1-edit"},{"title":"Gemini Omni Flash 1.1 (Reference to Video) Video to Video API","sidebarTitle":"Gemini Omni Flash 1.1 (Reference to Video) · Video to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-1-1-reference-to-video"},{"title":"Gemini Omni Flash (Edit) Video to Video API","sidebarTitle":"Gemini Omni Flash (Edit) · Video to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-edit"}]},{"group":"Seedance","pages":[{"title":"Seedance API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/seedance"},{"title":"Seedance 2.5 Text to Video API","sidebarTitle":"Seedance 2.5 · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-5-text-to-video"},{"title":"Seedance 2.0 Mini Text to Video API","sidebarTitle":"Seedance 2.0 Mini · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-mini-text-to-video"},{"title":"Seedance 2.0 Fast Text to Video API","sidebarTitle":"Seedance 2.0 Fast · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-fast-text-to-video"},{"title":"Seedance 2.0 Text to Video API","sidebarTitle":"Seedance 2.0 · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-text-to-video"},{"title":"Seedance 1.5 Pro Text to Video API","sidebarTitle":"Seedance 1.5 Pro · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-v1-5-pro-text-to-video"},{"title":"Seedance 2.5 Image to Video API","sidebarTitle":"Seedance 2.5 · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-5-image-to-video"},{"title":"Seedance 2.0 Mini Image to Video API","sidebarTitle":"Seedance 2.0 Mini · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-mini-image-to-video"},{"title":"Seedance 2.0 Fast Image to Video API","sidebarTitle":"Seedance 2.0 Fast · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-fast-image-to-video"},{"title":"Seedance 2.0 Image to Video API","sidebarTitle":"Seedance 2.0 · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-image-to-video"},{"title":"Seedance 1.5 Pro Image to Video API","sidebarTitle":"Seedance 1.5 Pro · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-v1-5-pro-image-to-video"},{"title":"Seedance 2.5 (reference-to-video) Video to Video API","sidebarTitle":"Seedance 2.5 (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-5-reference-to-video"},{"title":"Seedance 2.0 Mini (reference-to-video) Video to Video API","sidebarTitle":"Seedance 2.0 Mini (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-mini-reference-to-video"},{"title":"Seedance 2.0 Fast (reference-to-video) Video to Video API","sidebarTitle":"Seedance 2.0 Fast (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-fast-reference-to-video"},{"title":"Seedance 2.0 (reference-to-video) Video to Video API","sidebarTitle":"Seedance 2.0 (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-reference-to-video"}]},{"group":"Nano Banana","pages":[{"title":"Nano Banana API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/nano-banana"},{"title":"Nano Banana 2.1 Text to Image API","sidebarTitle":"Nano Banana 2.1 · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-1"},{"title":"Nano Banana 2 Lite Text to Image API","sidebarTitle":"Nano Banana 2 Lite · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-lite"},{"title":"Nano Banana 2 Text to Image API","sidebarTitle":"Nano Banana 2 · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2"},{"title":"Nano Banana Pro Text to Image API","sidebarTitle":"Nano Banana Pro · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-pro"},{"title":"Nano Banana Text to Image API","sidebarTitle":"Nano Banana · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana"},{"title":"Nano Banana 2.1 Image to Image API","sidebarTitle":"Nano Banana 2.1 · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-1-edit"},{"title":"Nano Banana 2 Lite Image to Image API","sidebarTitle":"Nano Banana 2 Lite · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-lite-edit"},{"title":"Nano Banana 2 Image to Image API","sidebarTitle":"Nano Banana 2 · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-edit"},{"title":"Nano Banana Pro Image to Image API","sidebarTitle":"Nano Banana Pro · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-pro-edit"},{"title":"Nano Banana Image to Image API","sidebarTitle":"Nano Banana · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-edit"}]},{"group":"GPT","pages":[{"title":"GPT API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/gpt"},{"title":"GPT-image-1.5 Text to Image API","sidebarTitle":"GPT-image-1.5 · Text to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-1-5"},{"title":"GPT-image-2 Text to Image API","sidebarTitle":"GPT-image-2 · Text to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2"},{"title":"GPT-image-2.5 Flare Text to Image API","sidebarTitle":"GPT-image-2.5 Flare · Text to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-5-flare"},{"title":"GPT-image-2.5 Sunburst Text to Image API","sidebarTitle":"GPT-image-2.5 Sunburst · Text to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-5-sunburst"},{"title":"GPT-image-1.5 Image to Image API","sidebarTitle":"GPT-image-1.5 · Image to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-1-5-edit"},{"title":"GPT-image-2.5 Flare Image to Image API","sidebarTitle":"GPT-image-2.5 Flare · Image to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-5-flare-edit"},{"title":"GPT-image-2.5 Sunburst Image to Image API","sidebarTitle":"GPT-image-2.5 Sunburst · Image to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-5-sunburst-edit"},{"title":"GPT-image-2 Image to Image API","sidebarTitle":"GPT-image-2 · Image to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-edit"}]},{"group":"Grok Image","pages":[{"title":"Grok Image API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/grok-image"},{"title":"Grok Image 2 Text to Image API","sidebarTitle":"Grok Image 2 · Text to image","href":"/api-documentation/ai-generation/models/grok-image/grok-imagine-image-v2-0"},{"title":"Grok Image Text to Image API","sidebarTitle":"Grok Image · Text to image","href":"/api-documentation/ai-generation/models/grok-image/grok-imagine-image"},{"title":"Grok Image 2 Image to Image API","sidebarTitle":"Grok Image 2 · Image to image","href":"/api-documentation/ai-generation/models/grok-image/grok-imagine-image-v2-0-edit"},{"title":"Grok Image Image to Image API","sidebarTitle":"Grok Image · Image to image","href":"/api-documentation/ai-generation/models/grok-image/grok-imagine-image-edit"}]},{"group":"Flux","pages":[{"title":"Flux API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/flux"},{"title":"Flux 2 pro Text to Image API","sidebarTitle":"Flux 2 pro · Text to image","href":"/api-documentation/ai-generation/models/flux/flux-2-pro"},{"title":"Flux 1 Kontext Text to Image API","sidebarTitle":"Flux 1 Kontext · Text to image","href":"/api-documentation/ai-generation/models/flux/flux-pro-kontext-text-to-image"},{"title":"Flux1.1 [pro] ultra Text to Image API","sidebarTitle":"Flux1.1 [pro] ultra · Text to image","href":"/api-documentation/ai-generation/models/flux/flux-pro-v1-1-ultra"},{"title":"Flux 2 pro Image to Image API","sidebarTitle":"Flux 2 pro · Image to image","href":"/api-documentation/ai-generation/models/flux/flux-2-pro-edit"},{"title":"Flux 1 Kontext Image to Image API","sidebarTitle":"Flux 1 Kontext · Image to image","href":"/api-documentation/ai-generation/models/flux/flux-pro-kontext-max-multi"}]},{"group":"Seedream","pages":[{"title":"Seedream API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/seedream"},{"title":"Seedream 5.0 Pro Text to Image API","sidebarTitle":"Seedream 5.0 Pro · Text to image","href":"/api-documentation/ai-generation/models/seedream/bytedance-seedream-v5-pro-text-to-image"},{"title":"Seedream 5.0 Pro Image to Image API","sidebarTitle":"Seedream 5.0 Pro · Image to image","href":"/api-documentation/ai-generation/models/seedream/bytedance-seedream-v5-pro-edit"},{"title":"Seedream 4.0 Image to Image API","sidebarTitle":"Seedream 4.0 · Image to image","href":"/api-documentation/ai-generation/models/seedream/bytedance-seedream-v4-edit"}]},{"group":"Recraft","pages":[{"title":"Recraft API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/recraft"},{"title":"Recraft v3 Text to Image API","sidebarTitle":"Recraft v3 · Text to image","href":"/api-documentation/ai-generation/models/recraft/recraft-v3-text-to-image"},{"title":"Recraft v3 Image to Image API","sidebarTitle":"Recraft v3 · Image to image","href":"/api-documentation/ai-generation/models/recraft/recraft-v3-image-to-image"}]},{"group":"Kling","pages":[{"title":"Kling API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/kling"},{"title":"Kling 4.0 Text to Video API","sidebarTitle":"Kling 4.0 · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v4-text-to-video"},{"title":"Kling O3 Pro Text to Video API","sidebarTitle":"Kling O3 Pro · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-text-to-video"},{"title":"Kling O3 Standard Text to Video API","sidebarTitle":"Kling O3 Standard · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-text-to-video"},{"title":"Kling 3.0 Pro Text to Video API","sidebarTitle":"Kling 3.0 Pro · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v3-pro-text-to-video"},{"title":"Kling 3.0 Standard Text to Video API","sidebarTitle":"Kling 3.0 Standard · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v3-standard-text-to-video"},{"title":"Kling 2.6 Pro Text to Video API","sidebarTitle":"Kling 2.6 Pro · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-6-pro-text-to-video"},{"title":"Kling Turbo 2.5 Text to Video API","sidebarTitle":"Kling Turbo 2.5 · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-5-turbo-pro-text-to-video"},{"title":"Kling 2.1 master Text to Video API","sidebarTitle":"Kling 2.1 master · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-1-master-text-to-video"},{"title":"Kling 4.0 Image to Video API","sidebarTitle":"Kling 4.0 · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v4-image-to-video"},{"title":"Kling 4.0 (reference-to-video) Image to Video API","sidebarTitle":"Kling 4.0 (reference-to-video) · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v4-reference-to-video"},{"title":"Kling O3 Pro Image to Video API","sidebarTitle":"Kling O3 Pro · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-image-to-video"},{"title":"Kling O3 Pro (reference-to-video) Image to Video API","sidebarTitle":"Kling O3 Pro (reference-to-video) · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-reference-to-video"},{"title":"Kling O3 Standard Image to Video API","sidebarTitle":"Kling O3 Standard · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-image-to-video"},{"title":"Kling O3 Standard (reference-to-video) Image to Video API","sidebarTitle":"Kling O3 Standard (reference-to-video) · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-reference-to-video"},{"title":"Kling 3.0 Pro Image to Video API","sidebarTitle":"Kling 3.0 Pro · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v3-pro-image-to-video"},{"title":"Kling 3.0 Standard Image to Video API","sidebarTitle":"Kling 3.0 Standard · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v3-standard-image-to-video"},{"title":"Kling 2.6 Pro Image to Video API","sidebarTitle":"Kling 2.6 Pro · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-6-pro-image-to-video"},{"title":"Kling Turbo 2.5 Image to Video API","sidebarTitle":"Kling Turbo 2.5 · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-5-turbo-pro-image-to-video"},{"title":"Kling 2.1 master Image to Video API","sidebarTitle":"Kling 2.1 master · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-1-master-image-to-video"},{"title":"Kling 2.1 Pro Image to Video API","sidebarTitle":"Kling 2.1 Pro · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-1-pro-image-to-video"},{"title":"Kling 4.0 (edit video) Video to Video API","sidebarTitle":"Kling 4.0 (edit video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v4-video-to-video-edit"},{"title":"Kling O3 Pro (edit video) Video to Video API","sidebarTitle":"Kling O3 Pro (edit video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-video-to-video-edit"},{"title":"Kling O3 Pro (reference-to-video) Video to Video API","sidebarTitle":"Kling O3 Pro (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-video-to-video-reference"},{"title":"Kling O3 Standard (edit video) Video to Video API","sidebarTitle":"Kling O3 Standard (edit video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-video-to-video-edit"},{"title":"Kling O3 Standard (reference-to-video) Video to Video API","sidebarTitle":"Kling O3 Standard (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-video-to-video-reference"}]},{"group":"MiniMax","pages":[{"title":"MiniMax API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/minimax"},{"title":"Minimax H3 Max Text to Video API","sidebarTitle":"Minimax H3 Max · Text to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-max-text-to-video"},{"title":"Minimax H3 Text to Video API","sidebarTitle":"Minimax H3 · Text to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-text-to-video"},{"title":"Minimax H3 Max Image to Video API","sidebarTitle":"Minimax H3 Max · Image to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-max-image-to-video"},{"title":"Minimax H3 Image to Video API","sidebarTitle":"Minimax H3 · Image to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-image-to-video"},{"title":"Minimax H3 (reference-to-video) Video to Video API","sidebarTitle":"Minimax H3 (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-reference-to-video"}]},{"group":"Veo","pages":[{"title":"Veo API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/veo"},{"title":"Veo 3.1 Text to Video API","sidebarTitle":"Veo 3.1 · Text to video","href":"/api-documentation/ai-generation/models/veo/veo3-1"},{"title":"Veo 3.1 Lite Text to Video API","sidebarTitle":"Veo 3.1 Lite · Text to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-lite-text-to-video"},{"title":"Veo 3.1 Fast Text to Video API","sidebarTitle":"Veo 3.1 Fast · Text to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-fast"},{"title":"Veo 3.1 Lite (First \u0026 Last frame) Image to Video API","sidebarTitle":"Veo 3.1 Lite (First \u0026 Last frame) · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-lite-first-last-frame-to-video"},{"title":"Veo 3.1 Lite Image to Video API","sidebarTitle":"Veo 3.1 Lite · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-lite-image-to-video"},{"title":"Veo 3.1 Fast (First \u0026 Last frame) Image to Video API","sidebarTitle":"Veo 3.1 Fast (First \u0026 Last frame) · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-fast-first-last-frame-to-video"},{"title":"Veo 3.1 Fast Image to Video API","sidebarTitle":"Veo 3.1 Fast · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-fast-image-to-video"},{"title":"Veo 3.1 (First \u0026 Last frame) Image to Video API","sidebarTitle":"Veo 3.1 (First \u0026 Last frame) · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-first-last-frame-to-video"},{"title":"Veo 3.1 Image to Video API","sidebarTitle":"Veo 3.1 · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-image-to-video"},{"title":"Veo 3.1 (Reference to Video) Image to Video API","sidebarTitle":"Veo 3.1 (Reference to Video) · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-reference-to-video"},{"title":"Veo 3.1 Lite (Extend Video) Video to Video API","sidebarTitle":"Veo 3.1 Lite (Extend Video) · Video to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-lite-extend-video"},{"title":"Veo 3.1 (Extend Video) Video to Video API","sidebarTitle":"Veo 3.1 (Extend Video) · Video to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-extend-video"}]},{"group":"Wan","pages":[{"title":"Wan API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/wan"},{"title":"Wan 3.0 Prime (reference-to-video) Video to Video API","sidebarTitle":"Wan 3.0 Prime (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/wan/wan3-0-prime-reference-to-video"}
[...]
